package dfatool.views.dialogs;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Shell;

public class DefaultMessageDialog {
	
	public static MessageDialog createMessageDialog(Shell parentShell, String title, String message){
			String[] s = {"Ok"};
			return new MessageDialog(parentShell, 
					title, null, 
					message, MessageDialog.INFORMATION, s, 0);
	}
	
	public static MessageDialog createDeadlockFreeDialog(Shell parentShell){
			return DefaultMessageDialog.createMessageDialog(parentShell, 
					"Network deadlock freedom",
					"The network in question is deadlock free! =)");
		}


}
